Skip to main content
GET
/
v2
/
transaction_intents
List transaction intents
curl --request GET \
  --url https://dev.sbx.imprint.co/v2/transaction_intents \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://dev.sbx.imprint.co/v2/transaction_intents"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://dev.sbx.imprint.co/v2/transaction_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "5B30532B-5B5B-4826-8DE2-429C57B705FD",
      "customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
      "amount": 10000,
      "currency": "USD",
      "status": "CONFIRMED",
      "created_at": "2025-02-13T19:08:07.000Z",
      "payment_method_id": "DCBFC736-2286-42DD-897D-160DCA80AED2",
      "network_transaction_id": "<string>",
      "partner_transaction_id": "<string>",
      "updated_at": "2025-02-13T19:08:07.000Z",
      "metadata": {
        "platform_version": "2.1.0"
      }
    }
  ],
  "has_more": true,
  "total": 123
}

Authorizations

Authorization
string
header
required

Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>

Query Parameters

type
enum<string>

The type of transaction intent to filter by.

Available options:
CONFIRMED,
CANCELED
Example:

"CONFIRMED"

limit
integer<int32>
default:10

Limits the number of returned results

Required range: x >= 1
starting_after
string

A cursor for use in pagination. An id that defines your place in the list.

Response

200 - application/json

List of transaction intents

data
object[]
has_more
boolean
total
integer